Joined
Jun 26, 2022
Messages
13
Reaction score
3
First Language
English
Primarily Uses
N/A
Hello, I want to download RPG Maker MV for my MacOs Catalina MacBook. (Version 10:15.7). Would that be possible? If so, do I visit this page: https://www.rpgmakerweb.com/products/rpg-maker-mv then buy it on the degica shop? If so, is that safe? Thanks!

Also, is there a later version of RPG maker that can run on MacOs Montery? If so, where can I get it? Thank you!
 

bgillisp

Global Moderators
Global Mod
Joined
Jul 2, 2014
Messages
14,289
Reaction score
15,406
First Language
English
Primarily Uses
RMVXA
You will want to try the demo for MV as MAC support is discontinued for it so it may not run on a MAC. Otherwise I'd suggest you get MZ instead.
 

Dungeonmind

Lvl 4000 Humanoid
Veteran
Joined
Sep 2, 2013
Messages
628
Reaction score
495
First Language
English
Primarily Uses
RMMV
Joined
Jun 26, 2022
Messages
13
Reaction score
3
First Language
English
Primarily Uses
N/A
Ok, so I buy RPG maker MZ for my Catalina MacBook, by clicking on 'Buy it on the Degica shop'? However, I'd rather have it on my more modern Mac computer MacOS Monterey 12.4. Would that be possible? If so, do I click on the same link? It's just that the RPG program info says computers need to be 10.13 or better, and I can't see anything telling me what number is too high for the software. Thanks for your time!
 

ATT_Turan

Forewarner of the Black Wind
Veteran
Joined
Jul 2, 2014
Messages
4,946
Reaction score
3,144
First Language
English
Primarily Uses
RMMV
It's just that the RPG program info says computers need to be 10.13 or better, and I can't see anything telling me what number is too high for the software. Thanks for your time!
There is, for software that's being currently developed, no such thing as "too high for the software." You should expect that anything that's being currently developed and sold should function on any modern supported operating system.

That only happens when software is not still being supported (such as MV) and a company creates an operating system update that breaks compatibility with it (like Mac did). And you should expect the software description to say so in that case, which MV does: "Not supported: macOS Big Sur 11.0 and later."
 
Joined
Jun 26, 2022
Messages
13
Reaction score
3
First Language
English
Primarily Uses
N/A
Ok, super duper, thanks. So for my MacOS 12.4, I download RPG Maker MZ by clicking on 'Buy it on the Degica shop'? Sorry, but I want to be sure I don't waste my money, lol.
 

Arthran

Veteran
Veteran
Joined
Jun 25, 2021
Messages
511
Reaction score
489
First Language
English
Primarily Uses
RMMZ
Ok, super duper, thanks. So for my MacOS 12.4, I download RPG Maker MZ by clicking on 'Buy it on the Degica shop'? Sorry, but I want to be sure I don't waste my money, lol.
Mac users don't download the game from the Degica Shop. They have to use the Steam version. You *can* buy it on the Degica shop, and they'll give you a Steam key. Then you would have to go redeem that key on Steam.

But honestly, as a Mac user, you get no benefit from buying it on the Degica shop, so you might as well just go buy it straight from Steam instead, since it's actually on sale for much cheaper on Steam right now. Or if you plan to buy it within the next 3 days, it would actually be even better to buy it from Fanatical, since it's on sale for $39.99 there.
 

Latest Threads

Latest Posts

Latest Profile Posts

Im free today . finally have some time to continue coding . yes!
Regret that I wasn't able to actually finish my igmc entry in time for the actual igmc. Will probably just offload it as a standalone thing.
I'm a master in procrastination and have finally decided to educate people in this art in a seminar in Calais. Please don't come. I won't be there.
Testing some of my custom battlers (they're all trash, sorry).

Forum statistics

Threads
124,425
Messages
1,163,484
Members
163,228
Latest member
Enivlens
Top